org.apache.flume.conf.sink

## Enum SinkProcessorType

- java.lang.Object
- - java.lang.Enum<SinkProcessorType>
  - - org.apache.flume.conf.sink.SinkProcessorType

- All Implemented Interfaces:
    Serializable, Comparable<SinkProcessorType>

      public enum SinkProcessorType
      extends Enum<SinkProcessorType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DEFAULT` Standard processor
    `FAILOVER` Failover processor
    `LOAD_BALANCE` Load balancing processor
    `OTHER` Place holder for custom sinks not part of this enumeration.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getSinkProcessorClassName()`
    `static SinkProcessorType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static SinkProcessorType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### OTHER

          public static final SinkProcessorType OTHER

      Place holder for custom sinks not part of this enumeration.

    - #### FAILOVER

          public static final SinkProcessorType FAILOVER

      Failover processor
      See Also:
        `FailoverSinkProcessor`

    - #### DEFAULT

          public static final SinkProcessorType DEFAULT

      Standard processor
      See Also:
        `DefaultSinkProcessor`

    - #### LOAD_BALANCE

          public static final SinkProcessorType LOAD_BALANCE

      Load balancing processor
      See Also:
        `LoadBalancingSinkProcessor`

  - ### Method Detail

    - #### values

          public static SinkProcessorType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SinkProcessorType c : SinkProcessorType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SinkProcessorType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getSinkProcessorClassName

          public String getSinkProcessorClassName()

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.